/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: Vocabulary.java,v e5d5eb7f1bd5 2010/06/24 17:09:42 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.semantic.io.json.impl;

import it.tidalwave.util.Id;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public final class Vocabulary
  {
    public static final String SKOS         = "http://www.w3.org/2004/02/skos/core#";
    public static final String DC           = "http://purl.org/dc/elements/1.1/";

    public static final Id RDF_ABOUT        = new Id("http://www.w3.org/1999/02/22-rdf-syntax-ns#about");
    public static final Id RDFS_LABEL       = new Id("http://www.w3.org/2000/01/rdf-schema#label");

    public static final Id OWL_THING        = new Id("http://www.w3.org/2002/07/owl#Thing");

    public static final Id SKOS_CONCEPT     = new Id(SKOS + "Concept");
    public static final Id SKOS_NARROWER    = new Id(SKOS + "narrower");

    public static final Id DC_CREATOR       = new Id(DC + "creator");
    public static final Id DC_DATE          = new Id(DC + "date");
    public static final Id DC_PUBLISHER     = new Id(DC + "publisher");
  }
